Fund Transfer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Outlet-IdStringMerchant unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

NameTypeDescription
remitterMobileStringMobile Number of Remitter
beneficiaryIdString
transferModeStringModes can be IMPS,NEFT or RTGS
transferAmountStringAmount to be transferred
latitudeStringCurrent location latitude
longitudeStringCurrent location longitude
externalRefStringUnique Reference number
📘

Note:

Click here for guidelines for entering data in latitude/ longitude parameter.

Sample Request

curl --location --request POST 'https://api.instantpay.in/fi/remit/out/domestic/fundTransfer' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--data-raw '{
    "remitterMobile":"7428585742",
    "beneficiaryId":"9a1a15fd6aed4c3205e1a85",
    "transferMode":"IMPS",
    "transferAmount":2,
    "latitude":"20.3254",
    "longitude":"70.3214",
    "externalRef":"abc1256"
}'
POST /fi/remit/out/domestic/fundTransfer HTTP/1.1
Host: api.instantpay.in
Accept: application/json
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
X-Ipay-Outlet-Id:{{outletId}}
Content-Type: application/json

{
    "remitterMobile":"7428585742",
    "beneficiaryId":"9a1a15fd6aed4c3205e1a85",
    "transferMode":"IMPS",
    "transferAmount":2,
    "latitude":"20.3254",
    "longitude":"70.3214",
    "externalRef":"abc1256"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "externalRef": "abc1256",
        "poolReferenceId": "1220424130343AXKFAQ",
        "txnValue": "2.00",
        "txnReferenceId": "2243598352",
        "pool": {
            "account": "7428585742",
            "openingBal": "22.72",
            "mode": "DR",
            "amount": "8.70",
            "closingBal": "14.02"
        },
        "remitterMobile": "7428585742",
        "beneficiaryAccount": "7770007428585742",
        "beneficiaryIfsc": "YESB0CMSNOC"
    },
    "timestamp": "2022-07-25 16:38:56",
    "ipay_uuid": "h0059be1de76-e3bd-4f83-a8bd-7e08dfddb672-iBDV4k0anFAu",
    "orderid": "1220424130343AXKFAQ",
    "environment": "LIVE",
}
❗️

Important Information

Consider the Transaction as Pending when you get No Response or Timeout Response and then check the status of the transactions through Transaction Status API.

Body Params
string

Mobile Number of Remitter

string

beneficiaryId

string

Modes can be IMPS,NEFT or RTGS

string

Amount to be transferred

string

Current location latitude

string

Current location longitude

string

Unique Reference number

Headers
string

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

Merchant unique ID

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json